Vla-addmtext

提供: GizmoLabs
移動先: 案内検索
構文
(vla-addtext vla-object InsertionPoint Width Text)


機能
マルチテキストを作成する。


引数
  • vla-object … vlaオブジェクト(ModelSpace、PaperSpace、Block のコレクション)
  • InsertionPoint … マルチ テキスト境界ボックスの挿入点
  • Width … マルチテキスト境界ボックスの幅
  • Text … 文字列


戻り値
作成したマルチテキストの VLAオブジェクト


サンプル
(defun c:my-addMtext ()
  (setq *ActDoc* (vla-get-ActiveDocument (vlax-get-Acad-Object)))
  (setq mspace (vla-get-modelspace *actdoc*))
  (setq pt1 (getpoint "\n挿入点: "))
  (setq wt 0) ; 幅
  (setq str (getstring T "\n文字列 : "))
  (setq ret_mtxt (vla-addtext mspace (vlax-3d-point pt1) wt str))
(princ)
) ;_defun

;ダンプ
(vlax-dump-object ret_mtxt)
#<vlax-vbObject IGcadMText 27394d24> 
;PROPERT:
; Application (RO) = #<vlax-vbObject IGcadApplication 0f0d2cbc> 
; AttachmentPoint = 1 
; BackgroundFill = vlax-false 
; color = 256 
; Database (RO) = #<vlax-vbObject IGcadDatabase 274a3f48> 
; Document (RO) = #<vlax-vbObject IGcadDocument 0f25fe3c> 
; DrawingDirection = 1 
; EntityName (RO) = "AcDbMText" 
; EntityType (RO) = 21 
; Handle (RO) = "643" 
; HasExtensionDictionary (RO) = vlax-false 
; Height = 250.000000 
; Hyperlinks (RO) = #<vlax-vbObject IGcadHyperlinks 21030740> 
; InsertionPoint = #<vlax-vbArray ... > 
; Layer = "0" 
; LineSpacingDistance = 416.666667 
; LineSpacingFactor = 1.000000 
; LineSpacingStyle = 1 
; Linetype = "ByLayer" 
; LinetypeScale = 1.000000 
; Lineweight = -1 
; Material = "" 
; Normal = #<vlax-vbArray ... > 
; ObjectID (RO) = 659177000 
; ObjectName (RO) = "AcDbMText" 
; OwnerID (RO) = 551071392 
; PlotStyleName = "ByLayer" 
; Rotation = 0.000000 
; StyleName = "Standard" 
; TextString = "uytr" 
; TrueColor = #<vlax-vbObject IGcadAcCmColor 274a3ef0> 
; Visible = vlax-true 
; Width = 0.000000 



関連事項